Bug 1790550 - QCAD crashes on Gnome with Wayland
Summary: QCAD crashes on Gnome with Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qcad
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 15:31 UTC by z.tutto
Modified: 2020-01-31 02:00 UTC (History)
2 users (show)

Fixed In Version: qcad-3.24.2.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 18:51:13 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-80612 None None None 2020-01-18 18:25:48 UTC

Description z.tutto 2020-01-13 15:31:09 UTC
Description of problem:
qcad installed from repo does not start (gnome Version 3.34.3)


Version-Release number of selected component (if applicable):
Installed Packages
Name         : qcad
Version      : 3.22.1.0
Release      : 7.fc31
Architecture : x86_64
Size         : 141 M
Source       : qcad-3.22.1.0-7.fc31.src.rpm
Repository   : @System
From repo    : fedora
Summary      : Powerful 2D CAD system




How reproducible:


Steps to Reproduce:
1. install qcad from repo
yum install qcad
2. start qcad from gnome menu
$ ps ax | grep qcad
  20129 ?        S      0:00 /usr/bin/sh /usr/bin/qcad
  20131 ?        Sl     0:02 /usr/lib64/qcad/qcad-bin
however there is now window 

 / command line:
(gnome desktop):
$ qcad
Warning:  QSocketNotifier: Can only be used with threads started with QThread
Warning:  Failed to load client buffer integration: "wayland-egl"
Warning:  Available client buffer integrations: ()
Warning:  No shell integration named "xdg-shell" found
Warning:  No shell integration named "xdg-shell-v6" found
Warning:  No shell integration named "wl-shell" found
Warning:  No shell integration named "ivi-shell" found
Warning:  Loading shell integration failed.
Warning:  Attempted to load the following shells ("xdg-shell", "xdg-shell-v6", "wl-shell", "ivi-shell")
Warning:  Wayland does not support QWindow::requestActivate()



3.

Actual results:
not started


Expected results:
started and usable

Additional info:
qcad trial is up & running:

Version: 3.24.2.0 (3.24.2)
Internet: QCAD.org
Build Date: Jan 10 2020
Revision: f05abb0
Qt Version: 5.8.0
Architecture: x86_64
Compiler: gcc 4.8.1

Comment 1 Fedora Update System 2020-01-16 21:12:56 UTC
qcad-3.24.2.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d51418a9f3

Comment 2 Fedora Update System 2020-01-16 21:39:32 UTC
qcad-3.24.2.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bb761cf1dd

Comment 3 Fedora Update System 2020-01-19 02:13:20 UTC
qcad-3.24.2.1-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bb761cf1dd

Comment 4 Fedora Update System 2020-01-24 18:51:13 UTC
qcad-3.24.2.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-01-31 02:00:17 UTC
qcad-3.24.2.1-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.